import { EventEmitter, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { Grid } from '../../../lib/grid';
import { Column } from '../../../lib/data-set/column';
import { ActionCustom } from '../../../table.interfaces';
export declare class TheadTitlesRowComponent implements OnChanges, OnDestroy {
    grid: Grid;
    sort: EventEmitter<any>;
    selectAllRows: EventEmitter<boolean>;
    getColumnFilters: EventEmitter<string>;
    customAction: EventEmitter<ActionCustom>;
    private columnsTitle;
    colorRow: boolean;
    isMultiSelectVisible: boolean;
    showActionColumnRight: boolean;
    tableCollapsible: any;
    /**
     * Save the current field sort
     */
    currentFieldSort: string;
    private subscription$;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onMouseEnter(column: Column): void;
    onMouseLeave(column: Column): void;
    hidePopovers(): void;
    private columnHaveSortFilter;
}
